Subject: bug#26229: 26.0.50; shell-mode: turning off input echoing

From: Manuel Uberti <[email-masked]>
Date: Fri, 24 Mar 2017 06:29:11 +0100

Hi Johh,

thanks for the quick reply. I'm afraid your solution doesn't fix the problem for
me. Could it depend on the shell I'm using? I'm using the Fish shell.

Kind regards

Manuel Uberti
https://manuel-uberti.github.io

GPG fingerprint = 8702 9F53 2466 A6B5 E3F4 6B44 4E57 A6C4 CAA4 8F62

On 23/03/17 22:27, John Mastro wrote:
> Manuel Uberti <[email-masked]> wrote:
>> After opening Emacs with emacs -Q, in scratch buffer I evaluate this:
>>
>> (setq comint-process-echoes t)
>>
>> Then:
>>
>> - M-x shell
>> - ls RET
>>
>> Output:
>>
>> ~ % ls
>> ~ % ls --color=auto --group-directories-first
>> bin/        languagetool/  Pictures/    reveal.js/  tmp/
> 
> The `comint-process-echoes' variable is buffer-local, so you need to set
> it in the shell buffer. Something like this should work:
> 
>     (defun my-init-shell-mode ()
>       (setq comint-process-echoes t))
> 
>     (with-eval-after-load 'shell
>       (add-hook 'shell-mode-hook #'my-init-shell-mode))
> 
> Hope that helps
> 
>         John
>